This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622255 - Cannot mount encfs with option allow_root on $HOME
Cannot mount encfs with option allow_root on $HOME
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 08:34 EDT by Fl@sh
Modified: 2010-11-06 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: fuse-2.8.5-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-30 03:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fl@sh 2010-08-08 08:34:40 EDT
If to cipher the  user home catalog of the encfs with an option allow_root then cannot mount it in $HOME.
 The problem has appeared after updating package fuse 2.8.1-4 to 2.8.4-1.
    How to reproduce:
#
# F12/F13 (x86_64), fuse >= 2.8.2
#
 
      # yum install fuse-encfs
      # echo -e "user_allow_other\n" > /etc/fuse.conf

      $ encfs /media/user /tmp/user
 
 If directories not exist, then answer "yes" to create it. To agree on all other options by default.
 Type password for encrypted folder. Copy /home/user to /tmp/user

      $ fusermount -u /tmp/user

      # su -l user -c 'encfs -o allow_root,nonempty /media/user /home/user'

 After password input absolutely occurs nothing. Including mount.

 The same operation under the user yields identical result.
 
      $ encfs -o allow_root,nonempty /media/user /home/user

      (typing password and happens nothing)

 Without option allow_root well works.
Comment 1 Peter Lemenkov 2010-08-09 03:51:51 EDT
There was an issue, which was fixed in fuse. Also, please try to mount with --no-canonicalize
Comment 2 Peter Lemenkov 2010-08-09 04:02:33 EDT
Interestingly. I just found that this issue does exist and can be easily spotted by mounting encfs crypto directory to $CWD
Comment 3 Peter Lemenkov 2010-08-09 05:28:09 EDT
Just found (using git bisect) which patch leads to this issue:

http://github.com/lemenkov/fuse/commit/4c3d9b19576c228e1a3c6eab9a6942d9431f6ce4
Comment 4 Fedora Update System 2010-10-27 09:48:57 EDT
fuse-2.8.5-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fuse-2.8.5-2.fc13
Comment 5 Fedora Update System 2010-10-27 09:49:03 EDT
fuse-2.8.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fuse-2.8.5-2.fc14
Comment 6 Fedora Update System 2010-10-27 09:49:10 EDT
fuse-2.8.5-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/fuse-2.8.5-2.fc12
Comment 7 Fedora Update System 2010-10-28 01:47:29 EDT
fuse-2.8.5-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fuse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fuse-2.8.5-2.fc14
Comment 8 Fl@sh 2010-10-30 03:54:06 EDT
All work good now.
Verifed on Fedora 14.
Thank`s.
Comment 9 Fedora Update System 2010-11-06 19:38:51 EDT
fuse-2.8.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-11-06 19:41:48 EDT
fuse-2.8.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-11-06 19:47:39 EDT
fuse-2.8.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.